### Constructor

# Gdk.ContentProvider.new_typed

#### Declaration [src]

    GdkContentProvider*
    gdk_content_provider_new_typed (
      GType type,
      ...
    )

#### Description [src]

Create a content provider that provides the value of the given `type`.

The value is provided using `G_VALUE_COLLECT()`, so the same rules apply as when calling `g_object_new()` or `g_object_set()`.

#### Parameters

`type` | `GType`
| Type of value to follow
`...` | ``
| value

#### Return value

Returns: `GdkContentProvider`
a new `GdkContentProvider`
Ownership of the data is transferred to the caller